| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
isf_dsa_utils.c File Reference
`#include <isf_dsa_utils.h>`
`#include "isf_dsa_adapter.h"`
`#include "isf_sensor_types.h"`
Include dependency graph for isf_dsa_utils.c:

Go to the source code of this file.

## Functions
isf_SensorTypes_t | isf_dsa_get_sensor_types (isf_dsa_Adapter_t *adapter, uint8 *sensorListIdx)
| This function returns the supported sensor types for the specified adapter. The first call to isf_dsa_get_sensor_types() should be made with *sensorListIdx == 0. The function automatically increments the sensorListIdx value allowing subsequent calls to return additional supported types. The function sets sensorListIdx back to zero when no more new sensor types are available. This allows calls in the form of: uint8 sensorListIdx = 0; isf_dsa_SensorType_t sensorType;. More...
isf_SensorDataTypes_t | isf_dsa_get_sensor_data_types (isf_dsa_Adapter_t *adapter, uint8 *sensorDataListIdx)
| This function returns the supported sensor data types for the specified adapter. The first call to isf_dsa_get_sensor_data_types() should be made with sensorListIdx == 0. The function automatically increments the sensorListIdx value allowing subsequent calls to return additional supported types. The function sets sensorListIdx back to zero when no more new sensor types are available. This allows calls in the form of: uint8 sensorListIdx = 0; isf_dsa_SensorDataType_t sensorDataType;. More...
uint32 | isf_dsa_get_sizeof_native_data_type (isf_dsa_Adapter_t *adapter)
| Returns the number of bytes required to hold the sensor's native data type. Note that using the sensor's native data type violates the sensor type abstraction and potentially limits any code using it to working with only that particular sensor. It is recognized, however, that having access to the native data type may be useful in some applications and this is why support for it is made available here. More...
isf_dsa_data_converter_t * | isf_dsa_get_data_converter (isf_dsa_Adapter_t *adapter)
| Returns a pointer to an adapter's Convert function which may be used to convert native data samples to supported standard data types. More...
const isf_dsa_DeviceInfoBlock_t * | isf_dsa_get_info (isf_dsa_Adapter_t *adapter)
| Returns a pointer to an adapter's Info structure that contains things like the adapter identifier. More...

## Function Documentation

isf_dsa_data_converter_t* isf_dsa_get_data_converter | ( | isf_dsa_Adapter_t * | adapter | ) |

Returns a pointer to an adapter's Convert function which may be used to convert native data samples to supported standard data types.

Definition at line 90 of file isf_dsa_utils.c.

References isf_dsa_Adapter_st::control, and isf_dsa_ControlInterface_st::Convert.

const isf_dsa_DeviceInfoBlock_t* isf_dsa_get_info | ( | isf_dsa_Adapter_t * | adapter | ) |

Returns a pointer to an adapter's Info structure that contains things like the adapter identifier.

Definition at line 100 of file isf_dsa_utils.c.

References isf_dsa_Adapter_st::devInfo.

isf_SensorDataTypes_t isf_dsa_get_sensor_data_types | ( | isf_dsa_Adapter_t * | adapter,
|  | uint8 * | sensorDataListIdx
| ) |  |

This function returns the supported sensor data types for the specified adapter. The first call to isf_dsa_get_sensor_data_types() should be made with sensorListIdx == 0. The function automatically increments the sensorListIdx value allowing subsequent calls to return additional supported types. The function sets sensorListIdx back to zero when no more new sensor types are available. This allows calls in the form of: uint8 sensorListIdx = 0; isf_dsa_SensorDataType_t sensorDataType;.

do { sensorDataType = isf_dsa_get_sensor_data_types(isf_dsa_Adapter_t *adapter, &sensorListIdx ); handleSensorDataType(sensorDataType); } while (!sensorListIdx);

Definition at line 62 of file isf_dsa_utils.c.

References isf_dsa_Adapter_st::devInfo, and isf_dsa_DeviceInfoBlock_st::pSupportedSensorDataTypes.

isf_SensorTypes_t isf_dsa_get_sensor_types | ( | isf_dsa_Adapter_t * | adapter,
|  | uint8 * | sensorListIdx
| ) |  |

This function returns the supported sensor types for the specified adapter. The first call to isf_dsa_get_sensor_types() should be made with *sensorListIdx == 0. The function automatically increments the sensorListIdx value allowing subsequent calls to return additional supported types. The function sets sensorListIdx back to zero when no more new sensor types are available. This allows calls in the form of: uint8 sensorListIdx = 0; isf_dsa_SensorType_t sensorType;.

do { sensorType = isf_dsa_get_sensor_types(isf_dsa_Adapter_t *adapter, &sensorListIdx ); handleSensorType(sensorType); while (!sensorListIdx);

Definition at line 35 of file isf_dsa_utils.c.

References isf_dsa_Adapter_st::devInfo, and isf_dsa_DeviceInfoBlock_st::pSupportedSensorTypes.

uint32 isf_dsa_get_sizeof_native_data_type | ( | isf_dsa_Adapter_t * | adapter | ) |

Returns the number of bytes required to hold the sensor's native data type. Note that using the sensor's native data type violates the sensor type abstraction and potentially limits any code using it to working with only that particular sensor. It is recognized, however, that having access to the native data type may be useful in some applications and this is why support for it is made available here.

Definition at line 80 of file isf_dsa_utils.c.

References isf_dsa_Adapter_st::devInfo, and isf_dsa_DeviceInfoBlock_st::nNativeDataSetSize.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.